org.apache.drill.jdbc

## Interface DrillResultSet

All Superinterfaces:
  AutoCloseable, ResultSet, Wrapper

    public interface DrillResultSet
    extends ResultSet

Drill-specific `ResultSet`.

See Also:
  `unwrap(java.lang.Class<T>)`

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`BigDecimal` `getBigDecimal(String columnLabel, int scale)`
`byte` `getByte(int columnIndex)`
`byte` `getByte(String columnLabel)`
`double` `getDouble(int columnIndex)`
`double` `getDouble(String columnLabel)`
`float` `getFloat(int columnIndex)`
`float` `getFloat(String columnLabel)`
`int` `getInt(int columnIndex)`
`int` `getInt(String columnLabel)`
`long` `getLong(int columnIndex)`
`long` `getLong(String columnLabel)`
`Object` `getObject(int columnIndex)`
`Object` `getObject(String columnLabel)`
`String` `getQueryId()` Gets the ID of the associated query (the query whose results this ResultSet presents).
`short` `getShort(int columnIndex)`
`short` `getShort(String columnLabel)`
`String` `getString(int columnIndex)`
`String` `getString(String columnLabel)`
`boolean` `isWrapperFor(Class<?> iface)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getFetchDirection, getFetchSize, getHoldability, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getSQLXML, getSQLXML, getStatement, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Method Detail

#### getQueryId

    String getQueryId()
               throws SQLException

Gets the ID of the associated query (the query whose results this ResultSet presents).

Throws:
  `SQLException` - if this method is called on a closed result set

#### unwrap

    <T> T unwrap(Class<T> iface)
          throws SQLException

Drill: Accepts `DrillResultSet.class`.

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    boolean isWrapperFor(Class<?> iface)
                  throws SQLException

Drill: Returns true for `DrillResultSet.class`.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### getString

    String getString(int columnIndex)
              throws SQLException

Drill: Conversions: Supports conversion from all types.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    byte getByte(int columnIndex)
          throws SQLConversionOverflowException,
                 SQLException

Drill: Conversions: Supports conversion from types:

- `SMALLINT` (`short`), `INTEGER` (`int`), and `BIGINT` (`long`)
- `REAL` (`float`), `DOUBLE PRECISION` (`double`), and `FLOAT` (`float` or `double`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `byte` values.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `byte`
  `SQLException`

#### getShort

    short getShort(int columnIndex)
            throws SQLConversionOverflowException,
                   SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `INTEGER` (`int`), and `BIGINT` (`long`)
- `REAL` (`float`), `DOUBLE PRECISION` (`double`), and `FLOAT` (`float` or `double`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `short` values.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `short`
  `SQLException`

#### getInt

    int getInt(int columnIndex)
        throws SQLConversionOverflowException,
               SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `SMALLINT` (`short`), and `BIGINT` (`long`)
- `REAL` (`float`), `DOUBLE PRECISION` (`double`), and `FLOAT` (`float` or `double`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `int` values.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `int`
  `SQLException`

#### getLong

    long getLong(int columnIndex)
          throws SQLConversionOverflowException,
                 SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `SMALLINT` (`short`), and `INTEGER` (`int`)
- `REAL` (`float`), `DOUBLE PRECISION` (`double`), and `FLOAT` (`float` or `double`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `long` values.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `long`
  `SQLException`

#### getFloat

    float getFloat(int columnIndex)
            throws SQLConversionOverflowException,
                   SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `SMALLINT` (`short`), and `INTEGER` (`int`), `BIGINT` (`long`)
- `DOUBLE PRECISION` (`double`) and `FLOAT` (when `double`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `float` values.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `float`
  `SQLException`

#### getDouble

    double getDouble(int columnIndex)
              throws SQLConversionOverflowException,
                     SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `SMALLINT` (`short`), `INTEGER` (`int`), and `BIGINT` (`long`)
- `REAL` (`float`), `FLOAT` (when `float`)
- `DECIMAL` (`BigDecimal`)

Conversion throws `SQLConversionOverflowException` for a source value whose magnitude is outside the range of `double` values.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException` - if a source value was too large to convert to `double`
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal(int columnIndex,
                             int scale)
                      throws SQLException

Drill: Conversions: Supports conversion from types:

- `TINYINT` (`byte`), `SMALLINT` (`short`), `INTEGER` (`int`), and `BIGINT` (`long`)
- `REAL` (`float`), `DOUBLE PRECISION` (`double`), and `FLOAT` (`float` or `double`)

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    String getString(String columnLabel)
              throws SQLException

Drill: For conversions, see `getString(int)`.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    byte getByte(String columnLabel)
          throws SQLConversionOverflowException,
                 SQLException

Drill: For conversions, see `getByte(int)`.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getShort

    short getShort(String columnLabel)
            throws SQLConversionOverflowException,
                   SQLException

Drill: For conversions, see `getShort(int)`.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getInt

    int getInt(String columnLabel)
        throws SQLConversionOverflowException,
               SQLException

Drill: For conversions, see `getInt(int)`.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getLong

    long getLong(String columnLabel)
          throws SQLConversionOverflowException,
                 SQLException

Drill: For conversions, see `getLong(int)`.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getFloat

    float getFloat(String columnLabel)
            throws SQLConversionOverflowException,
                   SQLException

Drill: For conversions, see `getFloat(int)`.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getDouble

    double getDouble(String columnLabel)
              throws SQLConversionOverflowException,
                     SQLException

Drill: For conversions, see `getDouble(int)`.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLConversionOverflowException`
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal(String columnLabel,
                             int scale)
                      throws SQLException

Drill: For conversions, see `ResultSet.getBigDecimal(int)`.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    Object getObject(int columnIndex)
              throws SQLException

Drill: Conversions: Supports conversion from all types.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    Object getObject(String columnLabel)
              throws SQLException

Drill: For conversions, see `getObject(int)`.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`